> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get a service's endpoints

GET https://api.getpostman.com/api-catalog/services/{serviceId}/endpoints

Get a list of observed API endpoints for a service and its performance metrics.

Reference: https://learning.postman.com/api-docs/api-reference/api-catalog/get-api-catalog-service-endpoints

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /api-catalog/services/{serviceId}/endpoints:
    get:
      operationId: getApiCatalogServiceEndpoints
      summary: Get a service's endpoints
      description: >-
        Get a list of observed API endpoints for a service and its performance
        metrics.
      tags:
        - apiCatalog
      parameters:
        - name: serviceId
          in: path
          description: The service's ID.
          required: true
          schema:
            $ref: '#/components/schemas/serviceId'
        - name: systemEnvironmentId
          in: query
          description: The system environment's ID.
          required: true
          schema:
            $ref: '#/components/schemas/systemEnvironmentId'
        - name: httpMethods
          in: query
          description: A.comma-separated list of HTTP methods to filter the results by.
          required: false
          schema:
            $ref: '#/components/schemas/apiCatalogServiceHttpMethodFilter'
        - name: hosts
          in: query
          description: A comma-separated list of hostnames to filter the results by.
          required: false
          schema:
            $ref: '#/components/schemas/apiCatalogServiceHostsFilter'
        - name: responseCodes
          in: query
          description: >-
            A comma-separated list of HTTP status codes to filter the results
            by.
          required: false
          schema:
            $ref: '#/components/schemas/apiCatalogServiceResponseCodeFilter'
        - name: search
          in: query
          description: Filter results to the search filter given on the endpoint's path.
          required: false
          schema:
            $ref: '#/components/schemas/apiCatalogServiceSearchFilter'
        - name: sort
          in: query
          description: >-
            Sort the results in field:direction order format. Accepts the
            `count`, `endpoint`, `p95LatencyMs`, and `errorRate` fields.
            Supports the `asc` and `desc` directions.
          required: false
          schema:
            $ref: '#/components/schemas/apiCatalogServiceSortEndpointsFilter'
        - name: limit
          in: query
          description: >-
            The maximum number of rows to return in the response, up to a
            maximum value of 100. Any value greater than 100 returns a 400 Bad
            Request response.
          required: false
          schema:
            $ref: '#/components/schemas/limitDefault20'
            default: 20
        - name: cursor
          in: query
          description: >-
            The pointer to the first record of the set of paginated results. To
            view the next response, use the `nextCursor` value for this
            parameter.
          required: false
          schema:
            $ref: '#/components/schemas/cursor'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getApiCatalogServiceEndpoints'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiCatalogError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetApiCatalogServiceEndpointsRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    serviceId:
      type: string
      title: serviceId
    systemEnvironmentId:
      type: string
      title: systemEnvironmentId
    apiCatalogServiceHttpMethodFilter:
      type: string
      title: apiCatalogServiceHttpMethodFilter
    apiCatalogServiceHostsFilter:
      type: string
      title: apiCatalogServiceHostsFilter
    apiCatalogServiceResponseCodeFilter:
      type: string
      title: apiCatalogServiceResponseCodeFilter
    apiCatalogServiceSearchFilter:
      type: string
      title: apiCatalogServiceSearchFilter
    apiCatalogServiceSortEndpointsFilter:
      type: string
      title: apiCatalogServiceSortEndpointsFilter
    limitDefault20:
      type: integer
      default: 20
      title: limitDefault20
    cursor:
      type: string
      title: cursor
    apiCatalogServiceMetadataNextCursorData:
      type: string
      description: The pagination cursor that points to the next record in the results set.
      title: apiCatalogServiceMetadataNextCursorData
    apiCatalogServiceMetadataLimitData:
      type: integer
      description: The maximum number of records in the paginated response.
      title: apiCatalogServiceMetadataLimitData
    apiCatalogServiceMetadataFiltersData:
      type: object
      properties: {}
      description: The filters applied to the request.
      title: apiCatalogServiceMetadataFiltersData
    ApiCatalogServiceMetadataTimeRangeDataLabel:
      type: string
      enum:
        - last_7_days
      description: The time range's label.
      title: ApiCatalogServiceMetadataTimeRangeDataLabel
    apiCatalogServiceMetadataTimeRangeData:
      type: object
      properties:
        start:
          type: string
          format: date-time
          description: The start of the time window.
        end:
          type: string
          format: date-time
          description: The end of the time window.
        label:
          $ref: '#/components/schemas/ApiCatalogServiceMetadataTimeRangeDataLabel'
          description: The time range's label.
      required:
        - start
        - end
        - label
      description: The time window for the returned data.
      title: apiCatalogServiceMetadataTimeRangeData
    GetApiCatalogServiceEndpointsMeta:
      type: object
      properties:
        nextCursor:
          $ref: '#/components/schemas/apiCatalogServiceMetadataNextCursorData'
        limit:
          $ref: '#/components/schemas/apiCatalogServiceMetadataLimitData'
        filters:
          $ref: '#/components/schemas/apiCatalogServiceMetadataFiltersData'
        timeRange:
          $ref: '#/components/schemas/apiCatalogServiceMetadataTimeRangeData'
        totalEndpoints:
          type: integer
          description: The total number of endpoints that match the given filters.
        totalRequests:
          type: integer
          description: The total number of requests that match the given filters.
      required:
        - nextCursor
        - limit
        - filters
        - timeRange
        - totalEndpoints
        - totalRequests
      description: The response's meta information for paginated results.
      title: GetApiCatalogServiceEndpointsMeta
    GetApiCatalogServiceEndpointsDataItemsMethod:
      type: string
      enum:
        - GET
        - POST
        - PUT
        - PATCH
        - DELETE
        - HEAD
        - OPTIONS
        - TRACE
      description: The endpoint's HTTP method.
      title: GetApiCatalogServiceEndpointsDataItemsMethod
    GetApiCatalogServiceEndpointsDataItemsPerformance:
      type: object
      properties:
        p90LatencyMs:
          type: number
          format: double
          description: The 90th-percentile response latency, in milliseconds.
        p95LatencyMs:
          type: number
          format: double
          description: The 95th-percentile response latency, in milliseconds.
      required:
        - p90LatencyMs
        - p95LatencyMs
      description: Information about latency percentile metrics.
      title: GetApiCatalogServiceEndpointsDataItemsPerformance
    GetApiCatalogServiceEndpointsDataItemsErrors:
      type: object
      properties:
        totalErrors:
          type: integer
          description: The total number of 4xx and 5xx responses.
        errorRatePct:
          type: number
          format: double
          description: The percentage of requests that resulted in errors.
        breakdown:
          type: object
          additionalProperties:
            type: integer
          description: The error counts, keyed by the HTTP status code.
      required:
        - totalErrors
        - errorRatePct
        - breakdown
      description: Information about the endpoint's errors.
      title: GetApiCatalogServiceEndpointsDataItemsErrors
    GetApiCatalogServiceEndpointsDataItems:
      type: object
      properties:
        method:
          $ref: '#/components/schemas/GetApiCatalogServiceEndpointsDataItemsMethod'
          description: The endpoint's HTTP method.
        path:
          type: string
          description: The endpoint's URL path template.
        host:
          type: string
          description: The hostname the endpoint was observed on.
        requestCount:
          type: integer
          description: >-
            The total number of requests to this endpoint within the time
            window.
        performance:
          $ref: >-
            #/components/schemas/GetApiCatalogServiceEndpointsDataItemsPerformance
          description: Information about latency percentile metrics.
        errors:
          $ref: '#/components/schemas/GetApiCatalogServiceEndpointsDataItemsErrors'
          description: Information about the endpoint's errors.
      required:
        - method
        - path
        - host
        - requestCount
        - performance
        - errors
      title: GetApiCatalogServiceEndpointsDataItems
    getApiCatalogServiceEndpoints:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/GetApiCatalogServiceEndpointsMeta'
          description: The response's meta information for paginated results.
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetApiCatalogServiceEndpointsDataItems'
          description: >-
            A list of observed API endpoints with traffic and performance
            metrics.
      required:
        - meta
        - data
      title: getApiCatalogServiceEndpoints
    apiCatalogErrorPathMessage:
      type: object
      properties:
        path:
          type: string
          description: The path in which the error occurred.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: apiCatalogErrorPathMessage
    apiCatalogError:
      type: object
      properties:
        type:
          type: string
          format: uri
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        errors:
          type: array
          items:
            $ref: '#/components/schemas/apiCatalogErrorPathMessage'
          description: A list of errors.
      title: apiCatalogError
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetApiCatalogServiceEndpointsRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetApiCatalogServiceEndpointsRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "meta": {
    "nextCursor": null,
    "limit": 20,
    "filters": {
      "systemEnvironmentId": "23b554c1-c30c-483d-bf98-dbe9ab7b88a0"
    },
    "timeRange": {
      "start": "2026-04-14T13:10:07.480Z",
      "end": "2026-04-21T13:10:07.480Z",
      "label": "last_7_days"
    },
    "totalEndpoints": 11,
    "totalRequests": 16022
  },
  "data": [
    {
      "method": "PATCH",
      "path": "/api/v1/object-groups/{group}",
      "host": "acs-test-new.example.com",
      "requestCount": 2916,
      "performance": {
        "p90LatencyMs": 19.701,
        "p95LatencyMs": 21.59825
      },
      "errors": {
        "totalErrors": 16,
        "errorRatePct": 0.55,
        "breakdown": {
          "400": 8,
          "500": 8
        }
      }
    },
    {
      "method": "DELETE",
      "path": "/api/v1/object-groups/{group}",
      "host": "acs-test-new.example.com",
      "requestCount": 2866,
      "performance": {
        "p90LatencyMs": 30.4165,
        "p95LatencyMs": 33.5495
      },
      "errors": {
        "totalErrors": 6,
        "errorRatePct": 0.21,
        "breakdown": {
          "400": 6
        }
      }
    },
    {
      "method": "POST",
      "path": "/api/v1/object-groups",
      "host": "acs-test-new.example.com",
      "requestCount": 2774,
      "performance": {
        "p90LatencyMs": 20.300701,
        "p95LatencyMs": 22.9377
      },
      "errors": {
        "totalErrors": 20,
        "errorRatePct": 0.72,
        "breakdown": {
          "401": 12,
          "500": 8
        }
      }
    },
    {
      "method": "POST",
      "path": "/api/permissions/check",
      "host": "acs-test-new.example.com",
      "requestCount": 2063,
      "performance": {
        "p90LatencyMs": 295.8238,
        "p95LatencyMs": 321.0344
      },
      "errors": {
        "totalErrors": 8,
        "errorRatePct": 0.39,
        "breakdown": {
          "400": 6,
          "500": 2
        }
      }
    },
    {
      "method": "POST",
      "path": "/api/v2/groups",
      "host": "acs-test-new.example.com",
      "requestCount": 1979,
      "performance": {
        "p90LatencyMs": 21.105799,
        "p95LatencyMs": 23.576601
      },
      "errors": {
        "totalErrors": 2,
        "errorRatePct": 0.1,
        "breakdown": {
          "401": 2
        }
      }
    },
    {
      "method": "POST",
      "path": "/api/groups/delete",
      "host": "acs-test-new.example.com",
      "requestCount": 1033,
      "performance": {
        "p90LatencyMs": 43.736202,
        "p95LatencyMs": 48.807
      },
      "errors": {
        "totalErrors": 2,
        "errorRatePct": 0.19,
        "breakdown": {
          "401": 2
        }
      }
    },
    {
      "method": "POST",
      "path": "/api/roles/add",
      "host": "acs-test-new.example.com",
      "requestCount": 1031,
      "performance": {
        "p90LatencyMs": 20.06,
        "p95LatencyMs": 22.2735
      },
      "errors": {
        "totalErrors": 4,
        "errorRatePct": 0.39,
        "breakdown": {
          "401": 4
        }
      }
    },
    {
      "method": "POST",
      "path": "/api/permissions/list/by-objects",
      "host": "acs-test-new.example.com",
      "requestCount": 928,
      "performance": {
        "p90LatencyMs": 193.14041,
        "p95LatencyMs": 219.2336
      },
      "errors": {
        "totalErrors": 2,
        "errorRatePct": 0.22,
        "breakdown": {
          "401": 2
        }
      }
    },
    {
      "method": "GET",
      "path": "/api/v1/role-assignments",
      "host": "acs-test-new.example.com",
      "requestCount": 382,
      "performance": {
        "p90LatencyMs": 12.8354,
        "p95LatencyMs": 15.002851
      },
      "errors": {
        "totalErrors": 96,
        "errorRatePct": 25.13,
        "breakdown": {
          "400": 96
        }
      }
    },
    {
      "method": "POST",
      "path": "/api/roles/remove",
      "host": "acs-test-new.example.com",
      "requestCount": 48,
      "performance": {
        "p90LatencyMs": 32.1342,
        "p95LatencyMs": 34.145298
      },
      "errors": {
        "totalErrors": 0,
        "errorRatePct": 0,
        "breakdown": {}
      }
    },
    {
      "method": "GET",
      "path": "/api/permissions/MANAGE_SYSTEM_ENVIRONMENT",
      "host": "acs-test-new.example.com",
      "requestCount": 2,
      "performance": {
        "p90LatencyMs": 11.3602,
        "p95LatencyMs": 11.3716
      },
      "errors": {
        "totalErrors": 0,
        "errorRatePct": 0,
        "breakdown": {}
      }
    }
  ]
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/endpoints"

querystring = {"systemEnvironmentId":"23b554c1-c30c-483d-bf98-dbe9ab7b88a0"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/endpoints?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/endpoints?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/endpoints?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/endpoints?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/endpoints?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/endpoints?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/endpoints?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```